lsb-security_4.1+Debian13+nmu1_amd64.deb


Advertisement

Description

lsb-security - Linux Standard Base 4.1 Security package

Distribution: Debian 8 (Jessie)
Repository: Debian Main amd64
Package name: lsb-security
Package version: 4.1+Debian13+nmu1
Package release:
Package architecture: amd64
Package type: deb
Installed size: 20 B
Download size: 19.50 KB
Official Mirror: ftp.br.debian.org
The Linux Standard Base (http://www.linuxbase.org/) is a standard core system that third-party applications written for Linux can depend upon. This package provides an implementation of version 4.1 of the Linux Standard Base Security specification for Debian on the Intel x86, Intel ia64 (Itanium), IBM S390, and PowerPC 32-bit architectures with the Linux kernel. Future revisions of the specification and this package may support the LSB on additional architectures and kernels. The intent of this package is to provide a best current practice way of installing and running LSB packages on Debian GNU/Linux. Its presence does not imply that Debian fully complies with the Linux Standard Base, and should not be construed as a statement that Debian is LSB-compliant.

Alternatives

Requires

Provides

  • lsb-security-amd64
  • lsb-security-noarch

    Download

    Source package: lsb

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install lsb-security deb package:
      # sudo apt-get install lsb-security

    Files

    • /usr/share/doc/lsb-security/changelog.gz
    • /usr/share/doc/lsb-security/copyright
    • /usr/share/lintian/overrides/lsb-security

    Changelog

    2014-10-20 - Ondřej Surý <ondrej@debian.org> lsb (4.1+Debian13+nmu1) unstable; urgency=medium [ Ondřej Surý] * Non-maintainer upload with maintainer agreement * Change libjpeg62 dependency to libjpeg62-turbo (Closes: #766023)

    2014-06-09 - Didier Raboud <odyx@debian.org> lsb (4.1+Debian13) unstable; urgency=medium [ Steve Langasek ] * test/test_lsb_release.py: also, make lsb_release ignore dpkg origins for the test, otherwise the test fails on derivatives. [ Colin Watson ] * Use open() rather than file() in initdutils.py, for Python 3 compatibility (see LP #1035136) * Test fileob and strob against None in RFC822Parser.__init__ rather than testing their truth value, to avoid a misleading error in the case of a file with no LSB headers [ Adam Conrad ] * Allow lsb-printing to depend on cups-filters | ghostscript-cups [ Didier Raboud ] * Revert "Fix the remaining problems of initdutils.py python3 compatibility" (Closes: #743903) * Allow multiarch alternatives of libc6-i386 and lib32z1. Thanks to Michael Biebl (Closes: #748426) [ Marcel Partap ] * In lsb_release, don't forget CODENAME when it's testing; therefore stop * calling apt-cache policy again (Closes: #747413)

    2013-06-05 - Didier Raboud <odyx@debian.org> lsb (4.1+Debian12) unstable; urgency=low [ Colin Watson ] * Depend directly on libnss3 and libnspr4 rather than via the transitional packages libnss3-1d and libnspr4-0d. [ Didier Raboud ] * Drop one more unnecessary use of /bin/echo -n. * Fix lsb_release to correctly work with stable release updates incrementing the second digit from Wheezy on. (Closes: #711174)

    2013-05-15 - Didier Raboud <odyx@debian.org> lsb (4.1+Debian11) unstable; urgency=low [ Steve Langasek ] * add -Es to the lsb_release python shebang, as discussed in <https://lists.debian.org/debian-python/2012/10/msg00021.html>. * Fix debian/copyright to list the correct Canonical copyright for the Ubuntu logging functions. * Correct duplicate reference to log_action_end_msg_post in debian/lsb-base.README.Debian. * debian/rules: fix the build on Ubuntu derivatives when building only the arch-dependent packages. [ Didier Raboud ] * Add jessie to the release codenames lookup table * Get Distributor ID from /etc/dpkg/origins/default if existant (Closes: #703677) * Bump Standards-Version to 3.9.4 without changes needed * Correct lsb-desktop.NEWS syntax errors

    2013-05-15 - Didier Raboud <odyx@debian.org> lsb (4.1+Debian10) unstable; urgency=low [ Steve Langasek ] * Fix the remaining problems of initdutils.py python3 compatibility (Closes: #673586) * Revert unnecessary use of /bin/echo -n (Closes: #708337) [ Didier Raboud ] * Compress source with xz

    2012-11-12 - Didier Raboud <odyx@debian.org> lsb (4.1+Debian9) unstable; urgency=low [ Jeff Licquia ] * Sanity-check pidofproc parameters. (Closes: #691422)

    2012-11-05 - Didier Raboud <odyx@debian.org> lsb (4.1+Debian8) unstable; urgency=low * Fix libqt3-mt missing epoch. * Hide the stderr output of $(initctl version) in init_is_upstart. (Closes: #682032)

    2012-06-10 - Didier Raboud <odyx@debian.org> lsb (4.1+Debian7) unstable; urgency=low * lsb-desktop: Demote Qt3 dependency to a Recommends. Closes: #604360 - Add a README.Debian to lsb-desktop to document the possibility to install Qt3 from snapshot.debian.org; - Add a NEWS.Debian to lsb-desktop to document the derogation to the LSB 4.1 specification. * Accept utf-8 in `apt-cache policy` and `dpkg-query` outputs; add test-case. (Closes: #675618)

    2012-05-30 - Didier Raboud <odyx@debian.org> lsb (4.1+Debian6) unstable; urgency=low * Revert "Allow FANCYTTY to be sourced from /etc/default/rcS." This avoids one ugly `set +u` in the $() subshell and avoids the hijack of /etc/default/rcS. (Reopens: #673207, Closes: #675162, #675197)

    Advertisement
    Advertisement